Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357177 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a57ac602de8312b43688ea6d642...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 05:18 UTC by Mustafa Muhammad
Modified: 2017-12-12 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 05:18 UTC, Mustafa Muhammad
no flags Details
File: cgroup (deleted)
2016-07-16 05:18 UTC, Mustafa Muhammad
no flags Details
File: core_backtrace (deleted)
2016-07-16 05:18 UTC, Mustafa Muhammad
no flags Details
File: dso_list (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: environ (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: limits (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: maps (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: mountinfo (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: namespaces (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: open_fds (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: proc_pid_status (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details
File: var_log_messages (deleted)
2016-07-16 05:19 UTC, Mustafa Muhammad
no flags Details

Description Mustafa Muhammad 2016-07-16 05:18:48 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.3-8.fc25

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -nolisten tcp -auth /var/run/sddm/{c06ef65e-5f8e-4a84-8309-892b4eb8b6bc} -background none -noreset -displayfd 17 vt1
executable:     /usr/libexec/Xorg
global_pid:     927
kernel:         4.7.0-0.rc7.git0.1.fc25.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #9 libinput_device_config_tap_get_finger_count at libinput.c:3317
 #10 xf86libinput_parse_tap_option at xf86libinput.c:1687
 #11 xf86libinput_parse_options at xf86libinput.c:2135
 #12 xf86libinput_pre_init at xf86libinput.c:2466
 #13 xf86NewInputDevice at xf86Xinput.c:900
 #14 NewInputDeviceRequest at xf86Xinput.c:1049
 #15 xf86libinput_hotplug_device at xf86libinput.c:2225
 #16 xf86libinput_hotplug_device_cb at xf86libinput.c:2242
 #17 ProcessWorkQueue at dixutils.c:526
 #18 WaitForSomething at WaitFor.c:176

Comment 1 Mustafa Muhammad 2016-07-16 05:18:53 UTC
Created attachment 1180361 [details]
File: backtrace

Comment 2 Mustafa Muhammad 2016-07-16 05:18:55 UTC
Created attachment 1180362 [details]
File: cgroup

Comment 3 Mustafa Muhammad 2016-07-16 05:18:58 UTC
Created attachment 1180363 [details]
File: core_backtrace

Comment 4 Mustafa Muhammad 2016-07-16 05:19:00 UTC
Created attachment 1180364 [details]
File: dso_list

Comment 5 Mustafa Muhammad 2016-07-16 05:19:01 UTC
Created attachment 1180365 [details]
File: environ

Comment 6 Mustafa Muhammad 2016-07-16 05:19:03 UTC
Created attachment 1180366 [details]
File: limits

Comment 7 Mustafa Muhammad 2016-07-16 05:19:05 UTC
Created attachment 1180367 [details]
File: maps

Comment 8 Mustafa Muhammad 2016-07-16 05:19:06 UTC
Created attachment 1180368 [details]
File: mountinfo

Comment 9 Mustafa Muhammad 2016-07-16 05:19:08 UTC
Created attachment 1180369 [details]
File: namespaces

Comment 10 Mustafa Muhammad 2016-07-16 05:19:10 UTC
Created attachment 1180370 [details]
File: open_fds

Comment 11 Mustafa Muhammad 2016-07-16 05:19:11 UTC
Created attachment 1180371 [details]
File: proc_pid_status

Comment 12 Mustafa Muhammad 2016-07-16 05:19:13 UTC
Created attachment 1180372 [details]
File: var_log_messages

Comment 13 Jan Kurik 2016-07-26 05:13:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Fedora End Of Life 2017-11-16 15:41:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:31:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.